Message from JavaScript discussions

November 2020

— Netlify?

— 

Hello guys I was creating server using express and when I run it says "no Express module found".

But I already installed it and when I run Express --version it shows me the version of the Express(4.16.01)


What's the problem guys?

— You installed it globally probably?

— npm install express in the same folder as your code file

— Yuh is it wrong installing it globally?

— Ye

— npm uninstall --global express

— There are also shortcuts:

— npm i express

— npm un -g express

— What else should not be installed globally?

— npm init before if you don't have a package.json